\ProvidesClass{manual}

%\LoadClass[twoside]{article}
\LoadClassWithOptions{article}

\RequirePackage{fancyhdr}
\RequirePackage{graphicx}
\RequirePackage{xifthen}
\RequirePackage{calc}
\RequirePackage[hangul]{kotex}
\RequirePackage{marginnote}

\addtolength{\textwidth}{100pt}
\addtolength{\hoffset}{-50pt}
\addtolength{\textheight}{60pt}
\addtolength{\voffset}{-30pt}
% longer head height	
\addtolength{\headheight}{20pt}
% margin
\newcommand{\marginsep}{10pt}

\pagestyle{fancy}
\fancyhead[LE,RO]{\thepage}
\fancyhead[LO,RE]{\mymark}
\fancyhead[C]{CNCE150}

\newcommand{\mymark}{
	\ifthenelse
		{\equal{\rightmark}{\empty}}
		{\leftmark}
		{\rightmark}
}

\fancyfoot{} % clear all footer fields

\newcommand{\keyword}[1]{%
	\texttt{#1}%
}	

\newcommand{\cmd}[1]{%
	\texttt{\textbackslash#1}%
}

% usefancyheadrule option
\newboolean{usefancyheadrule}
\setboolean{usefancyheadrule}{false}
\DeclareOption{fancyheadrule}{
	\setboolean{usefancyheadrule}{true}
}
% customtitlepage
\newboolean{usecustomtitlepage}
\setboolean{usecustomtitlepage}{false}
\DeclareOption{customtitlepage}{
	\setboolean{usecustomtitlepage}{true}
}
\ProcessOptions\relax

\newcounter{hrulecnt}
\ifthenelse{\boolean{usefancyheadrule}}{
	% use the fancy head rule	
	\renewcommand{\headrule}{
		\raisebox{-5pt}{%
			\begin{minipage}{\textwidth}
				\begin{center} 
					% 20 images
					\setcounter{hrulecnt}{0}
					\whiledo{
						\cnttest{\value{hrulecnt}}<{20}
					}{%
						\addtocounter{hrulecnt}{1}%
						\includegraphics[scale=.2]{hrule.png}					
					}
				\end{center}
			\end{minipage}
		}
	}	
}{
	% use the thick straight-line head rule
	\renewcommand{\headrulewidth}{3pt}
	\renewcommand{\headrule}
		{\rule[5pt]{\textwidth}{1mm}}	
}

\ifthenelse{\boolean{usecustomtitlepage}}{
	\renewcommand{\maketitle}{
		\thispagestyle{empty}%
		\includegraphics[scale=.25]{korea-univ-logo.jpeg}%
		\hfill
		\includegraphics[scale=.25]{korea-univ-logo.jpeg} \\
		\begin{minipage}{\textwidth}
			\centering
			\@title \\
			\@author
		\end{minipage}
	}
}
{}


